package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameGiftAddParam;
import com.zanxiang.game.module.manage.pojo.params.GameGiftListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameGiftListVO;
import com.zanxiang.game.module.mybatis.entity.GameGift;

import java.util.List;

/**
 * <p>
 * 游戏礼包表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
public interface IGameGiftService extends IService<GameGift> {

    boolean addOrUpdate(GameGiftAddParam param);

    List<GameGiftListVO> queryAll(GameGiftListParam param);

    boolean deleteByIds(Long ids);

    IPage<GameGiftListVO> listOfPage(GameGiftListParam param);
}
